/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: Tree.js,v 1.1.2.1 2015/06/22 09:20:10 rakollep Exp $ */
 
jQuery(function () {
	var root = $("#PresentationTree").find("tbody tr");
	var focus = false;
	// focus in case there is a node expanded
	for (var i = 2; i < root.length; i++) {
		if ($(root.get(i)).find('span').length == 1) {
			$(root.get(i - 1)).find('a').focus();
			focus = true;
			break;
		}
	}
	// focus in case collapse all
	if (!focus && root.length > 0) {
		$(root.get(1)).find('a').focus();
	}
});

function BuildKeyEvent(object, keycode, collapse) {
	switch (keycode) {
	case 40:
		//key down
		var root = $("#PresentationTree").find("tbody tr");
		var parentNode = object.parentNode.parentNode;
		if (null != parentNode && root.length > 0) {
			var index = root.index($(parentNode));
			if (index < root.length) {
				$(root.get(index + 1)).find('a').focus();
			}			
		}
		break;
	case 38:
		// key up
		var root = $("#PresentationTree").find("tbody tr");		
		var parentNode = object.parentNode.parentNode;
		if ($(parentNode).find("span").length == 1) {
			// get the parent of leaf node
			parentNode = object.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode;
		}
		
		if (null != parentNode && root.length > 0) {
			var index = root.index($(parentNode));
			if (index > 1) {
				$(root.get(index - 1)).find('a').focus();							
			}
		}
		break;	
	case 37:
		//left arrow		
		if (collapse) {
			var parentNode = object.parentNode.parentNode;
			if ($(parentNode).find("span").length == 0) {
				window.location = object.href;
			}
		}						
		break;
	case 39:
		// right arrow
		if (!collapse) {
			// get the parent of leaf node
			window.location = object.href;
		}
		break
	}
}